#!/opt/cloudlinux/venv/bin/python3 -sbb

# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT
#
import os
import json
from clwpos.constants import SUITES_CACHE

def read_cached_statuses():
    with open(SUITES_CACHE) as f:
        return json.load(f).get('suites_cache')

def feature_status_cached():
    if not os.path.exists(SUITES_CACHE):
        return None

    try:
        return read_cached_statuses()
    except Exception:
        return None

def get_cached_visible_any_user():
    cached_statuses = feature_status_cached()
    if cached_statuses is None:
        return None
    return cached_statuses.get('ANY', {}).get('visible')
